Loading...
Searching...
No Matches
GPUMemInfo.h File Reference

Data structures that help track memory access information. More...

`#include <unordered_map>`
`#include <unordered_set>`
`#include <vector>`
`#include "ASLog.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::MemTraits< GlobalMem >
struct | Halide::Internal::Autoscheduler::MemTraits< SharedMem >
struct | Halide::Internal::Autoscheduler::MemTraits< LocalMem >
struct | Halide::Internal::Autoscheduler::MemInfo< T >
struct | Halide::Internal::Autoscheduler::Strides
struct | Halide::Internal::Autoscheduler::GlobalAccessAccumulator
struct | Halide::Internal::Autoscheduler::SharedAccessAccumulator
struct | Halide::Internal::Autoscheduler::LocalAccessAccumulator

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Typedefs

template<typename T>
using | Halide::Internal::Autoscheduler::Accumulator = typename MemTraits<T>::Accumulator
template<typename T>
using | Halide::Internal::Autoscheduler::MemInfoType = MemInfo<typename MemTraits<T>::MemInfoType>
using | Halide::Internal::Autoscheduler::GlobalMemInfo = MemInfoType<GlobalMem>
using | Halide::Internal::Autoscheduler::SharedMemInfo = MemInfoType<SharedMem>
using | Halide::Internal::Autoscheduler::LocalMemInfo = MemInfoType<LocalMem>

## Detailed Description

Data structures that help track memory access information.

Useful when computing GPU features

Definition in file GPUMemInfo.h.